package com.loafle.commons.rpc.protocol;

import com.loafle.commons.rpc.RPCException;

/**
 * RPCClientResponseCodec
 */
public interface RPCClientResponseCodec {
  boolean isNotification();
  RPCClientNotificationCodec notification() throws RPCException;
  <T> T result(Class<T> resultType) throws RPCException;
  RPCError error();
  Object id();
}