package com.loafle.commons.rpc.protocol.json;

import java.util.List;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * JSONClientRequest
 */
public class JSONClientRequest {
  @JsonProperty("jsonrpc")
  public String version;
  public String method;
  public Object[] params;
  public Object id;

  JSONClientRequest(String version, String method, Object[] params, Object id) {
    this.version = version;
    this.method = method;
    this.params = params;
    this.id = id;
  }
}