package com.loafle.commons.rpc.protocol.json;

import com.loafle.commons.rpc.protocol.RPCError;

import org.codehaus.jackson.annotate.JsonProperty;
import org.codehaus.jackson.annotate.JsonRawValue;

/**
 * JSONClientResponse
 */
public class JSONClientResponse {
  @JsonProperty("jsonrpc")
  public String version;

  @JsonRawValue
  public Object result;
  public RPCError error;
  public Object id;
}