package com.loafle.commons.rpc.protocol.json;

import org.codehaus.jackson.map.DeserializationConfig;
import org.codehaus.jackson.map.ObjectMapper;

/**
 * JSONRPCCodec
 */
public abstract class JSONRPCCodec {
  protected ObjectMapper objectMapper;

  public JSONRPCCodec() {
    this.objectMapper = new ObjectMapper();
    this.objectMapper.configure(DeserializationConfig.Feature.FAIL_ON_UNKNOWN_PROPERTIES, false);
  }

  public JSONRPCCodec(ObjectMapper objectMapper) {
    this.objectMapper = objectMapper;
  }

  public void setObjectMapper(ObjectMapper objectMapper) {
    this.objectMapper = objectMapper;
  }
}